Bug 182564 - Soft Lockup detected
Soft Lockup detected
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-23 07:25 EST by Andreas Thienemann
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-28 10:11:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bootlog (8.81 KB, text/plain)
2006-02-23 07:25 EST, Andreas Thienemann
no flags Details
/var/log/messages (203.96 KB, text/plain)
2006-08-08 19:18 EDT, John Reiser
no flags Details
lspci; lspci -n; lspci -v (6.77 KB, text/plain)
2006-08-08 19:19 EDT, John Reiser
no flags Details

  None (edit)
Description Andreas Thienemann 2006-02-23 07:25:18 EST
Created attachment 125095 [details]
Comment 1 Andreas Thienemann 2006-02-23 07:25:18 EST
When booting the installer on an Intel STL2 serverworks mainboard, the installer
kernel hangs with a soft lockup detected on cpu#0:

BUG: soft lockup detected on CPU#0!

Pid: 1, comm:              swapper
EIP: 0060:[<c011d4fd>] CPU: 0
EIP is at __do_softirq+0x2c/0x7f
 EFLAGS: 00000206    Not tainted  (2.6.15-1.1955_FC5 #1)
EAX: c03c4000 EBX: 00000020 ECX: dfb1ff64 EDX: dfb1eaa0
ESI: c03f1700 EDI: 0000000a EBP: 00000400 DS: 007b ES: 007b
CR0: 8005003b CR2: fff85000 CR3: 003bf000 CR4: 000006d0
 [<c0105599>] do_softirq+0x38/0x3f     =======================
 [<c0105558>] do_IRQ+0x6e/0x77
 [<c0103b4a>] common_interrupt+0x1a/0x20     [<c02d6e81>]
 [<c0137722>] setup_irq+0xba/0xe3     [<c0211a55>] rtc_interrupt+0x0/0xdf
 [<c01377ba>] request_irq+0x6f/0x8b     [<c03ab902>] rtc_init+0x67/0x18c
 [<c01002e0>] init+0x77/0x1ab     [<c0100269>] init+0x0/0x1ab

The complete bootlog is attached with the looping message snipped after some
Adding acpi=off to the commandline makes the system boot up correctly.

The current rawhide kernel 2.6.15-1.1975_FC5smp does not show this problem, when
acpi=off is omitted on the commandline.
Comment 2 Andreas Thienemann 2006-02-23 16:29:56 EST
Changed the product version. Sorry, the problem was on fc5t3
Comment 3 Dave Jones 2006-03-06 12:55:07 EST
interrupt routing in the non-acpi case is getting pretty abysmal on a lot of
newer machines. The answer is "don't disable acpi" for a lot of them.

the latest build has a nosoftlockup boot command line option that disables this
checker, but it sounds like things still aren't too healthy even without that

(rawhide is a bit stale right now, newest kernel is linked off
Comment 4 John Reiser 2006-08-08 19:09:14 EDT
I see something like this under 2.6.17-1.2157_FC5 on a Dell Inspiron 4000 laptop
that must boot with "acpi=off irqpoll".  Also involved: a pcmcia card that
claims to support USB2.0 (but is limited to 1.2MB/s throughput) and IEEE1394
(17MB/s) using VIA 82xxxx interface.  I will attach /var/log/messages and output
from lspci.
Comment 5 John Reiser 2006-08-08 19:18:03 EDT
Created attachment 133832 [details]

BUG: soft lockup detected on CPU#0!
  <c043dac5> softlockup_tick+0x90/0xa1	<c0423d44>
  <c0406134> timer_interrupt+0x60/0x98	<c043db62> handle_IRQ_event+0x23/0x4c
  <c043dc07> __do_IRQ+0x7c/0xd1  <c0405042> do_IRQ+0x70/0x80
  <c04036f2> common_interrupt+0x1a/0x20  <d4941f6d> uhci_irq+0x1b/0x14a
  <c0576624> usb_hcd_irq+0x23/0x4f  <c043db62> handle_IRQ_event+0x23/0x4c
  <c043dc07> __do_IRQ+0x7c/0xd1  <c0405035> do_IRQ+0x63/0x80
  <c04036f2> common_interrupt+0x1a/0x20  <c04206fa> __do_softirq+0x2c/0x7f
  <c040508a> do_softirq+0x38/0x42
  <c0405047> do_IRQ+0x75/0x80  <c04036f2> common_interrupt+0x1a/0x20
  <c0411501> apm_bios_call_simple+0x75/0xb3  <c06024bd>
  <c060043c> schedule+0x526/0x582  <c04123ad> apm_cpu_idle+0x1d5/0x1e7
  <c0401f4d> cpu_idle+0x3a/0x4f  <c0720724> start_kernel+0x2d7/0x2db
  <c0720249> unknown_bootoption+0x0/0x204
Comment 6 John Reiser 2006-08-08 19:19:09 EDT
Created attachment 133833 [details]
lspci; lspci -n; lspci -v
Comment 7 Dave Jones 2006-10-16 16:31:36 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Andreas Thienemann 2006-12-28 10:11:23 EST
Closing bug as WORKSFORME. I haven't seen it with recent kernels anymore.

Note You need to log in before you can comment on or make changes to this bug.